<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

if($member[mb_id]) alert("회원님은 지금 로그인 되어 있는 상태입니다.");
?>
<link rel="stylesheet" href="<?=$member_skin_path?>/zm.style.css" type="text/css">
<style type="text/css">
<!--
.m_title    { border-top:1px solid #E3E3E3; BACKGROUND-COLOR:#F9F9F9; PADDING:20px 0 20px 20px; color:#333333; font-weight:bold; }
.m_padding  { border-top:1px solid #E3E3E3; PADDING:20px; line-height:180%; }
.m_padding input	{ border:1px solid #B3B3B3; border-radius:3px; padding:8px 10px 10px 10px; font-size:13px; }
.m_padding select	{ border:1px solid #B3B3B3; border-radius:3px; padding:8px 10px 10px 10px; font-size:13px; cursor:pointer; }
.m_padding2 { PADDING-LEFT: 0px; PADDING-top: 5px; PADDING-BOTTOM: 0px; }
.m_padding3 { PADDING-LEFT: 0px; PADDING-top: 5px; PADDING-BOTTOM: 5px; }
.bttns		{ text-align:center; padding:20px; }
</style>

<script>
var member_skin_path = "<?=$member_skin_path?>";
</script>
<script type="text/javascript" src="<?=$member_skin_path?>/ajax_register_form.jquery.js"></script>
<script type="text/javascript" src="<?=$g4[path]?>/js/md5.js"></script>
<script type="text/javascript" src="<?=$g4[path]?>/js/sideview.js"></script>

<div style="text-align:center;"><img src="<?=$member_skin_path?>/img/join_again.gif"></div>
<table width="500" cellspacing="1" cellpadding="0" align="center">
<tr>
	<td>
	<div style="padding:5px;">탈퇴 후 <b><?=$zm_config[reentryterm]?>일</b>이 지난 회원만 재가입이 가능합니다.</div>
	<div style="padding:5px;"><?=$config[cf_leave_day]?>일</b>이 지난 회원은 사용 하시던 아이디로 재가입이 불가능합니다.</div>
	</td>
</tr>
</table>
<form id="fregisterform" name=fregisterform method=post onsubmit="return fregisterform_submit(this);" enctype="multipart/form-data" autocomplete="off">
<input type=hidden name=mode value="reentry">
<table width="500" cellspacing="1" cellpadding="0" align="center" style="border-bottom:1px solid #AAAAAA;">
<tr>
    <td width=130 class=m_title>아이디</TD>
	<TD class=m_padding>
		<input class=ed maxlength=20 size=20 id='mb_id' name="mb_id" itemname="아이디" required></span>
    </TD>
</TR>
<TR>
	<TD width=130 class=m_title>이름</TD>
	<TD class=m_padding>
		<input class=ed id=mb_name name=mb_name itemname="이름"  required> 
	</TD>
</TR>
<TR>
    <TD class=m_title>별명</TD>
    <TD class='m_padding lh'>
        <input class=ed type=text id='mb_nick' name='mb_nick' maxlength=20 required itemname="별명">
    </TD>
</TR>
<TR>
    <TD class=m_title>E-mail</TD>
    <TD class='m_padding lh'>
        <input class=ed type=text id='mb_email' name='mb_email' size=38 maxlength=100 required itemname="이메일">
    </TD>
</TR>
<? if($zm_config[usepasswdq]) : ?>
<TR>
	<TD class=m_title>패스워드 분실시 질문</TD>
    <TD class=m_padding>
		<span id="passwdq"></span>
    </TD>
</TR>
<TR>
	<TD class=m_title>패스워드 분실시 답변</TD>
    <TD class=m_padding><input class=ed type=text name='mb_passwda' size=38 required itemname='패스워드 분실시 답변' onFocus="checkid()"></TD>
</TR>
<? endif; ?>
</table>

<?
if($member[mb_id])	$backurl	= $g4[bbs_path] . "/zm.userinfo.php?pcd=home";
else				$backurl	= $g4[bbs_path] . "/register.php";
?>
<div class="bttns">
	<input type=button value="이전단계" class="btn_pre" onclick="zm_gourl('<?=$backurl?>');">
	<input type=submit value="저장하기" class="btn_next">
</div>
</form>

<script type="text/javascript" src="<?="$g4[path]/js/jquery.kcaptcha.js"?>"></script>
<script type="text/javascript">
$(function() {
    // 폼의 첫번째 입력박스에 포커스 주기 
    $("#fregisterform :input[type=text]:visible:enabled:first").focus(); 
});

// submit 최종 폼체크
function fregisterform_submit(f) 
{
    <?
    if ($g4[https_url])
        echo "f.action = '$g4[https_url]/$g4[bbs]/zm.userinfo.php';";
    else
        echo "f.action = './zm.userinfo.php';";
    ?>

    // 보안인증관련 코드로 반드시 포함되어야 합니다.
    set_cookie("<?=md5($token)?>", "<?=base64_encode($token)?>", 1, "<?=$g4['cookie_domain']?>");

    return true;
}

// 금지 메일 도메인 검사
function prohibit_email_check(email)
{
    email = email.toLowerCase();

    var prohibit_email = "<?=trim(strtolower(preg_replace("/(\r\n|\r|\n)/", ",", $config[cf_prohibit_email])));?>";
    var s = prohibit_email.split(",");
    var tmp = email.split("@");
    var domain = tmp[tmp.length - 1]; // 메일 도메인만 얻는다

    for (i=0; i<s.length; i++) {
        if (s[i] == domain)
            return domain;
    }
    return "";
}

//-- 아이디가 존재 하는가와 패스워드 질문 불러오기
function load_passwdq(id) {
	$.ajax({
        type: 'POST',
        url: './zm.member_process.php',
        data: {
            'mode'	: 'checkid',
			'id'	: id
        },
        cache: false,
        async: false,
        success: function(result) {
            var msg = $('#msg_id');
            switch(result) {
                case '110' : msg.html('별명은 공백없이 한글, 영문, 숫자만 입력 가능합니다.').css('color', 'red'); break;
                case '120' : msg.html('한글 2글자, 영문 4글자 이상 입력 가능합니다.').css('color', 'red'); break;
                case '130' : msg.html('이미 존재하는 별명입니다.').css('color', 'red'); break;
                case '000' : msg.html('사용하셔도 좋은 별명 입니다.').css('color', 'blue'); break;
                default : alert( '잘못된 접근입니다.\n\n' + result ); break;
            }
            $('#msg_id_chk').val(result);
        }
    });
}

function checkid() {
	$.ajax({
        type	: 'POST',
        url		: './zm.userinfo_update.php',
		data	: { 
			'mode'	: 'findidnpswdq', 
			'mb_id'	: $('#mb_id').val(),
			'mb_name'	: $('#mb_name').val(),
			'mb_nick'	: $('#mb_nick').val(),
			'mb_email'	: $('#mb_email').val()
		},
        success	: function(result) {
            $('#passwdq').html(result);
        }
    });
}
</script>